edu.internet2.ndt

## Class StatusPanel

- java.lang.Object
- - com.vuze.plugins.mlab.tools.ndt.swingemu.Component
  - - com.vuze.plugins.mlab.tools.ndt.swingemu.JPanel
    - - edu.internet2.ndt.StatusPanel

-     public class StatusPanel
      extends JPanel

  Class that displays status of tests being run. It also provides methods to set status message, record intention to stop tests, and to fetch the status of whether the test is to be stopped.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StatusPanel(int iParamTestsNum, String sParamEnableMultiple)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `endTest()` End the currently running test Cannot be restarted.
    `void` | `setText(String sParamText)` Sets a string explaining progress of tests
    `boolean` | `wantToStop()` Get intention to stop tests

    - ### Methods inherited from class com.vuze.plugins.mlab.tools.ndt.swingemu.JPanel

      `add, add`

    - ### Methods inherited from class com.vuze.plugins.mlab.tools.ndt.swingemu.Component

      `add, addMouseListener, addWindowListener, getToolkit, pack, repaint, setBorder, setCursor, setEditable, setEnabled, setForeground, setLayout, setLayout, setPreferredSize, setResizable, setSize, setTitle, setVisible`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StatusPanel

          public StatusPanel(int iParamTestsNum,
                             String sParamEnableMultiple)

  - ### Method Detail

    - #### endTest

          public void endTest()

      End the currently running test Cannot be restarted.

    - #### setText

          public void setText(String sParamText)

      Sets a string explaining progress of tests
      Parameters:
        `sParamText` - String status of test-run

    - #### wantToStop

          public boolean wantToStop()

      Get intention to stop tests
      Returns:
        boolean indicating intention to stop or not